#
# spec file for package upslug2 (Version r39)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/

# norootforbuild

Name:           upslug2
BuildRequires:  autoconf automake gcc-c++
License:        X11/MIT
Group:          System/Console
AutoReqProv:    on
Version:        r41
Release:        3.2
Summary:        Upslug2 firmware update utility for the nslu2
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.nslu2-linux.org/wiki/Main/UpSlug2

%description
upslug2 is a command line program intended to allow the upgrade of a
LinkSys NSLU2 firmware to new or different versions.  Unlike upslug and
the LinkSys (Sercomm) upgrade utilities upslug2 will synthesise a
complete 'image' from a kernel and a root file system, as such it
duplicates part of the functionality of 'slugimage'.

upslug2 also optimises the upload to avoid transmitted parts of the
image which need not be written or are 'blank' (set to the erased flash
value of all 1's).



Authors:
--------
    John Bowler <jbowler@acm.org>

%debug_package
%prep
%setup

%build
autoreconf -i
%configure
make

%install
%makeinstall

%files
%defattr(-,root,root)
%{_sbindir}/upslug2

%changelog
* Thu Jun 17 2010 bernhard@bwalle.de
- Remove %%install_info_prereq to fix build on Fedora (and we don't
  need it anyway).
* Thu Jun 17 2010 bernhard@bwalle.de
- initial package
